de.katho.kBorrow

## Class Util

- java.lang.Object
- - de.katho.kBorrow.Util

    public final class Util
    extends java.lang.Object

Util enthält einige statische Hilfsfunktionen

### Field Summary

Fields
`private static javax.swing.JFrame` `mainwindow` Referenz auf das Hauptfensterobjekt

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `generateRandomString(int length)` Generiert einen zufälligen String aus Kleinbuchstaben.
`static java.lang.String` `getCurrentDate()` Gibt das aktuelle Datum im Format "dd.MM.yyyy" zurück
`static java.lang.String` `removeLineBreaks(java.lang.String pString)` Entfernt Linebreaks aus dem übergebenen String.
`static void` `setMainWindow(javax.swing.JFrame p)` Setzt eine Referenz auf das Hauptfenster.
`static void` `showError(java.lang.Exception e)` Öffnet einen neuen Dialog mit einer Fehlermeldung und Informationen zur übergebenen Exception
`static void` `showWarning(java.lang.Exception e)` Öffnet einen neuen Dialog mit einer Warnmeldung und Informationen zur übergebenen Exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mainwindow

    private static javax.swing.JFrame mainwindow

Referenz auf das Hauptfensterobjekt

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### getCurrentDate

    public static java.lang.String getCurrentDate()

Gibt das aktuelle Datum im Format "dd.MM.yyyy" zurück

Returns:
  Datum im Format "dd.MM.yyyy"

#### generateRandomString

    public static java.lang.String generateRandomString(int length)

Generiert einen zufälligen String aus Kleinbuchstaben.

Parameters:
  `length` - Die Länge des zu erzeugenden Strings.
Returns:
  Zufällig generierter String aus Kleinbuchstaben der Länge 'length'

#### showWarning

    public static void showWarning(java.lang.Exception e)

Öffnet einen neuen Dialog mit einer Warnmeldung und Informationen zur übergebenen Exception.

Parameters:
  `e` - Exception, die im Dialog angezeigt werden soll.

#### showError

    public static void showError(java.lang.Exception e)

Öffnet einen neuen Dialog mit einer Fehlermeldung und Informationen zur übergebenen Exception

Parameters:
  `e` - Exception, die im Dialog angezeigt werden soll.

#### setMainWindow

    public static void setMainWindow(javax.swing.JFrame p)

Setzt eine Referenz auf das Hauptfenster. Referenz wird in den Funktionen `showWarning(java.lang.Exception)` und `showError(java.lang.Exception)` benötigt.

Parameters:
  `p` - Referenz auf das Hauptfenster.

#### removeLineBreaks

    public static java.lang.String removeLineBreaks(java.lang.String pString)

Entfernt Linebreaks aus dem übergebenen String.

Parameters:
  `pString` - String, aus dem Linebreaks entfernt werden sollen.
Returns:
  String ohne Linebreaks.